[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AddHandlerOnEnabledChanging

Adds the specified OnEnabledChanging handler.

## Declaration

Source position: controls.pp line 1764

`public procedure TControl.AddHandlerOnEnabledChanging(`
`const OnEnabledChangingEvent: TNotifyEvent;`
`AsFirst: Boolean = False`
`);`

## Arguments

`OnEnabledChangingEvent` |  | TNotifyEvent handler routine added in the method.
`AsFirst` |  | True if the routine is inserted as the first handler in the list of handlers for the chtOnVisibleChanging type. False if the routine is appended to the list.